Mantine Core

Core components library
License

Installation

Package depends on react, react-dom, @mantine/hooks and react-jss.

Install with npm:

npm install @mantine/core @mantine/hooks

Install with yarn:

yarn add @mantine/core @mantine/hooks

Browser support

All components are tested to work in all major modern browsers. Some components depend on wep APIs that may not be supported by old browsers (e.g. window.matchMedia and ResizeObserver), if you encounter any issues with browsers compatibility open an issue.

Components by category

Build fully functional accessible web applications with ease
Feedback
Your feedback is most valuable contribution to the project, please share how you use Mantine, what features are missing and what is done good
Leave feedback